Add or remove items from the Elasticsearch resource keystore

Server: https://api.elastic-cloud.com/api/v1
  • PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/keystore

Adds the specified values to the Elasticsearch keystore, or removes the keys for the unspecified values.

Query Parameters

validate_only boolean · default: false

When true, does nothing except return the entries' allowlist and reloadability statuses.

Request

The new settings that will be applied to the keystore of the Elasticsearch resource.

secrets map string to KeystoreSecret required

List of secrets

Responses